> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update price



## OpenAPI

````yaml put /prices/{priceId}
openapi: 3.0.1
info:
  title: Plude
  description: Headless subscription management and recurring billing.
  termsOfService: https://plude.com/terms
  contact:
    name: Corporate Contact
    url: https://plude.com/contact
  license:
    name: License
    url: https://plude.com/license
  version: v4.2024.7.1
servers: []
security:
  - Bearer: []
paths:
  /prices/{priceId}:
    put:
      tags:
        - Prices
      summary: Update price
      parameters:
        - name: priceId
          in: path
          description: ''
          required: true
          schema:
            type: string
            format: uuid
        - name: x-environment
          in: header
          description: >-
            Configure which environment the request will handle. If the provided
            credentials do not allow access to this specified environment, a 403
            Forbidden response is returned.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePriceRequest'
      responses:
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    UpdatePriceRequest:
      required:
        - name
        - priceModel
        - termCount
        - termUnit
      type: object
      properties:
        name:
          maxLength: 250
          minLength: 1
          type: string
        description:
          maxLength: 4000
          type: string
          nullable: true
        termUnit:
          $ref: '#/components/schemas/TermUnit'
        termCount:
          maximum: 10000
          minimum: 1
          type: integer
          format: int32
        priceModel:
          $ref: '#/components/schemas/PriceModel'
        pricing:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PriceEntry'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    TermUnit:
      enum:
        - day
        - week
        - month
        - year
      type: string
    PriceModel:
      enum:
        - fee
        - volume
        - graduated
        - package
      type: string
    PriceEntry:
      type: object
      properties:
        unitAmount:
          type: integer
          format: int64
        feeAmount:
          type: integer
          format: int64
        tiers:
          type: array
          items:
            $ref: '#/components/schemas/Tier'
          nullable: true
      additionalProperties: false
    Tier:
      type: object
      properties:
        unitAmount:
          type: integer
          format: int64
        feeAmount:
          type: integer
          format: int64
        upTo:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below.\r\n\r\nExample: \"Bearer 12345abcdef\""
      scheme: Bearer

````